{ rustPlatform,
  lib,
  cairo,
  geos,
  clipper,
  clang,
  pkg-config,
  cmake,
  openssl,
  llvmPackages,
  ... }:

rustPlatform.buildRustPackage {

  pname = "polygon-art";
  version = "1.0.1";
  src = ./.;
  cargoSha256 = "0sgk4hw77cxqbqzd258fz67r7fpjblkm7cqh14n5f1c43y8vgxa0";
  verifyCargoDeps = true;

  # Needed so bindgen can find libclang.so
  LIBCLANG_PATH = "${llvmPackages.libclang.lib}/lib";

  buildInputs = [ cairo geos clipper openssl ];

  nativeBuildInputs =
    [ cmake llvmPackages.clang llvmPackages.libclang pkg-config ];

  meta = with lib; {
    description = "Framework with examples to generate plotter friendly SVGs";
    homepage = "https://git.ingolf-wagner.de/palo/polygon-art.git";
    license = licenses.gpl3Plus;
    maintainers = [ maintainers.mrVanDalo ];
  };
}

